echo "Cleaning up ..."
umount src/inst-disk/x-mnt 2> /dev/null || true
rm -rf src/ ; mkdir -p src/inst-disk ; cd src/inst-disk

echo "Extracting install-disk ..."
tar xIf $sd_pkgdir/install-disks.tar.bz2 --same-owner --same-permissions

echo "Building subdistribution archive(s) ..."
cd usr/lib ; mv -v boot-disk/README .
for x in install-disk/bin/install_bin.static \
  install-disk/bin/install_menu.static ; do
	 [ -f $x ] && rm -v $x
done

tar cIf $sd_instdir/install-disks.tar.bz2 *

echo "Cleaning up ..."
cd $base ; rm -rf src/inst-disk

case "$arch_machine" in
	i?86)	. $sd_srcdir/intel/buildit.sh ;;
	*)	. $sd_srcdir/root-disk/buildit.sh ;;
esac
